MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032055Open CASCADE[OCCT] OCCT:DRAWpublic2021-01-13 22:062021-01-16 14:12
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032055: Draw Harness, ViewerTest - add more vmanipulator position adjusting options
DescriptionCurrently vmanipulator has only option adjusting position to object center.
It is desired adding more options - adjusting position to object location transformation and to shape location.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberv3d/manipulator/shape_location
Attached Files

- Relationships
related to 0031704verifiedbugmaster Open CASCADE Visualization - add an interactive object AIS_LightSource representing a light source 

-  Notes
(0098109)
kgv (developer)
2021-01-14 07:41

Patch is ready for review
- OCCT branch: CR32055_1.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32055_1-master-KGV/ [^]
(0098111)
osa (developer)
2021-01-14 09:50

The patch was reviewed without remarks
(0098152)
bugmaster (administrator)
2021-01-16 13:30

Combination -
OCCT branch : IR-2021-01-15
master SHA - 6fab0b34288ef3f29ecf4eabc0283540460dbc31
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2021-01-15 SHA - a8521c25e41405ac279e65e1fcde5de75a344b0b
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17754.160000000134 / 17720.07000000011 [+0.19%]
Products
Total CPU difference: 12412.630000000105 / 12419.360000000095 [-0.05%]
Windows-64-VC14:
OCCT
Total CPU difference: 19336.3125 / 19330.015625 [+0.03%]
Products
Total CPU difference: 13740.03125 / 13831.828125 [-0.66%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

- Related Changesets
occt: master ff6122e0
Timestamp: 2021-01-13 18:22:00
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032055: Draw Harness, ViewerTest - add more vmanipulator position adjusting options

Draw::ParseOnOffIterator() - added auxiliary wrapper over Draw::ParseOnOff() for more compact syntax.
strncasecmp() definition for msvc compilers has been moved to Standard_CString for consistency with strcasecmp().
vmanipulator command has been refactored to use more straightforward parser.

vmanipulator now accepts "-adjustPosition {0|center|location|shapeLocation}" options
adjusting position to object's AABB center (existed before), object's local transformation or TopoDS_Shape location.
mod - src/Draw/Draw.cxx Diff ] File ]
mod - src/Draw/Draw.hxx Diff ] File ]
mod - src/RWStl/RWStl_Reader.cxx Diff ] File ]
mod - src/Standard/Standard_CString.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
add - tests/v3d/manipulator/shape_location Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-01-13 22:06 kgv New Issue
2021-01-13 22:06 kgv Assigned To => kgv
2021-01-13 22:21 kgv Relationship added related to 0031704
2021-01-13 22:22 kgv Relationship added child of 0027038
2021-01-14 07:41 kgv Note Added: 0098109
2021-01-14 07:41 kgv Assigned To kgv => osa
2021-01-14 07:41 kgv Status new => resolved
2021-01-14 09:50 osa Note Added: 0098111
2021-01-14 09:50 osa Assigned To osa => bugmaster
2021-01-14 09:50 osa Status resolved => reviewed
2021-01-16 13:30 bugmaster Note Added: 0098152
2021-01-16 13:30 bugmaster Status reviewed => tested
2021-01-16 13:55 bugmaster Test case number => v3d/manipulator/shape_location
2021-01-16 14:12 bugmaster Changeset attached => occt master ff6122e0
2021-01-16 14:12 bugmaster Status tested => verified
2021-01-16 14:12 bugmaster Resolution open => fixed


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker